# python3

chars = '0123456789abcdefghijklmnopqrstuvwxyz-'

def ror8(n: int, i: int) -> str:
	i = i % 8
	n = n & 0xFF
	return (n >> i) + ((n << (8 - i)) & 0xFF)

def brute_one(index: int) -> str:
	assert index >= 1 # AutoIT uses 1-based index .
	with open('sprite.bmp', 'rb') as f:
		f.read(54) # discard
		data = f.read()
	start = 7 * (index - 1)
	tmp = 0
	for i in range(7):
		tmp += ((data[start + i] & 1) << (7 - i))
	tmp = ror8(tmp, 1)
	for c in chars:
		if ord(c) == tmp:
			return c
	return ''

if __name__ == '__main__':
	r = ''
	for i in range(16):
		r = r + brute_one(i + 1)
	print (r)